NewEnvelopedDataTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.test

## Class NewEnvelopedDataTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.cms.test.NewEnvelopedDataTest

- All Implemented Interfaces:
    junit.framework.Test

      public class NewEnvelopedDataTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewEnvelopedDataTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `setUp()`
    `static junit.framework.Test` | `suite()`
    `void` | `testAES128KEK()`
    `void` | `testAES192KEK()`
    `void` | `testAES256KEK()`
    `void` | `testCamellia128KEK()`
    `void` | `testCamellia192KEK()`
    `void` | `testCamellia256KEK()`
    `void` | `testDESKEK()`
    `void` | `testECKeyAgree()`
    `void` | `testECKeyAgreeVectors()`
    `void` | `testECMQVKeyAgreeMultiple()`
    `void` | `testECMQVKeyAgreeVectors()`
    `void` | `testEphemeralStaticDHAgreement()`
    `void` | `testErroneousKEK()`
    `void` | `testFaultyAgreementRecipient()`
    `void` | `testKDFAgreements()`
    `void` | `testKeyTrans()`
    `void` | `testKeyTrans128RC4()`
    `void` | `testKeyTransAES128()`
    `void` | `testKeyTransAES192()`
    `void` | `testKeyTransAES256()`
    `void` | `testKeyTransCamellia128()`
    `void` | `testKeyTransCamellia192()`
    `void` | `testKeyTransCamellia256()`
    `void` | `testKeyTransCAST5()`
    `void` | `testKeyTransDES()`
    `void` | `testKeyTransDESEDE3Light()`
    `void` | `testKeyTransDESEDE3Short()`
    `void` | `testKeyTransLight128RC4()`
    `void` | `testKeyTransOAEPDefault()`
    `void` | `testKeyTransOAEPInCert()`
    `void` | `testKeyTransOAEPSHA1()`
    `void` | `testKeyTransOAEPSHA1AndSHA256()`
    `void` | `testKeyTransOAEPSHA224()`
    `void` | `testKeyTransOAEPSHA256()`
    `void` | `testKeyTransODES()`
    `void` | `testKeyTransRC2bit40()`
    `void` | `testKeyTransRC4()`
    `void` | `testKeyTransSEED()`
    `void` | `testKeyTransSmallAES()`
    `void` | `testKeyTransWithAlgMapping()`
    `void` | `testKeyWrapAlgorithmIdentifiers()`
    `void` | `testOpenSSLVectors()`
    `void` | `testOriginatorInfo()`
    `void` | `testOriginatorInfoGeneration()`
    `void` | `testPasswordAES256()`
    `void` | `testPasswordDESEDE()`
    `void` | `testRC2128KEK()`
    `void` | `testRFC4134ex5_1()`
    `void` | `testRFC4134ex5_2()`
    `void` | `testSEED128KEK()`
    `void` | `testStaticStaticDHAgreement()`
    `void` | `testUnprotectedAttributes()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NewEnvelopedDataTest

          public NewEnvelopedDataTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### suite

          public static junit.framework.Test suite()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUnprotectedAttributes

          public void testUnprotectedAttributes()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTrans

          public void testKeyTrans()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransOAEPDefault

          public void testKeyTransOAEPDefault()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransOAEPSHA1

          public void testKeyTransOAEPSHA1()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransOAEPSHA224

          public void testKeyTransOAEPSHA224()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransOAEPSHA256

          public void testKeyTransOAEPSHA256()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransOAEPSHA1AndSHA256

          public void testKeyTransOAEPSHA1AndSHA256()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransOAEPInCert

          public void testKeyTransOAEPInCert()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransWithAlgMapping

          public void testKeyTransWithAlgMapping()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOriginatorInfoGeneration

          public void testOriginatorInfoGeneration()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransRC2bit40

          public void testKeyTransRC2bit40()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransRC4

          public void testKeyTransRC4()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTrans128RC4

          public void testKeyTrans128RC4()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransLight128RC4

          public void testKeyTransLight128RC4()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransODES

          public void testKeyTransODES()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransSmallAES

          public void testKeyTransSmallAES()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransDESEDE3Short

          public void testKeyTransDESEDE3Short()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransDESEDE3Light

          public void testKeyTransDESEDE3Light()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransDES

          public void testKeyTransDES()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransCAST5

          public void testKeyTransCAST5()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128

          public void testKeyTransAES128()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES192

          public void testKeyTransAES192()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES256

          public void testKeyTransAES256()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransSEED

          public void testKeyTransSEED()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransCamellia128

          public void testKeyTransCamellia128()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransCamellia192

          public void testKeyTransCamellia192()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransCamellia256

          public void testKeyTransCamellia256()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testErroneousKEK

          public void testErroneousKEK()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDESKEK

          public void testDESKEK()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testRC2128KEK

          public void testRC2128KEK()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAES128KEK

          public void testAES128KEK()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAES192KEK

          public void testAES192KEK()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAES256KEK

          public void testAES256KEK()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSEED128KEK

          public void testSEED128KEK()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCamellia128KEK

          public void testCamellia128KEK()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCamellia192KEK

          public void testCamellia192KEK()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCamellia256KEK

          public void testCamellia256KEK()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testECKeyAgree

          public void testECKeyAgree()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testFaultyAgreementRecipient

          public void testFaultyAgreementRecipient()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyWrapAlgorithmIdentifiers

          public void testKeyWrapAlgorithmIdentifiers()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testEphemeralStaticDHAgreement

          public void testEphemeralStaticDHAgreement()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testStaticStaticDHAgreement

          public void testStaticStaticDHAgreement()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKDFAgreements

          public void testKDFAgreements()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testECMQVKeyAgreeMultiple

          public void testECMQVKeyAgreeMultiple()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testECKeyAgreeVectors

          public void testECKeyAgreeVectors()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testECMQVKeyAgreeVectors

          public void testECMQVKeyAgreeVectors()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testPasswordAES256

          public void testPasswordAES256()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testPasswordDESEDE

          public void testPasswordDESEDE()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testRFC4134ex5_1

          public void testRFC4134ex5_1()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testRFC4134ex5_2

          public void testRFC4134ex5_2()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOriginatorInfo

          public void testOriginatorInfo()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOpenSSLVectors

          public void testOpenSSLVectors()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`